<!DOCTYPE html>
<html>
  <head>
    <title>Products</title>
    <link rel='stylesheet' href='/stylesheets/style.css' />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
  </head>
  <body style='painting: 0'>
  <h1 style='padding: 30px'><%= title%></h1>
  <div class='banner'>
    <table class='table'>
      <thead>
	<tr>
	  <td>Product Code</td>
	  <td>Product Family</td>
	  <td>Product Description</td>
	  <td>Min Quantity</td>
	  <td>Packaging</td>
	  <td>Price</td>
	  <td>Assortment Type</td>
	</tr>
      </thead>
      <tbody>
	  <%if (typeof products != "undefined") { %>
        <% for(var i=0;  i < products.length; i++) %>
          <% Object.keys(products).forEach(function (key) {%>
	  <tr>
	    <td><p><%= products[key]['product-code'] %></p></td>
	    <td><p><%= products[key]['product-family'] %></p></td>
	    <td><p><%= products[key]['product-description'] %></p></td>
	    <td><p><%= products[key]['min-quantity'] %></p></td>
	    <td><p><%= products[key]['packaging'] %></p></td>
	    <td><p><%= products[key]['price'] %></p></td>
	    <td><p><%= products[key]['assortment-type'] %></p></td>
          </tr>
        <%})%>
	  <% } %>
      </tbody>
    </table>
  </div>
</body>
</html>
